SignSecureSignSecure Docs
Credits

Get Credit Balance

Get the current credit balance for your account.

GET
/credits/balance

Get the current credit balance for your account.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.signsecure.com/api/v1/credits/balance"
{
  "balance": 0,
  "totalUsed": 0,
  "totalAdded": 0
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}